package org.histidine.foundation.scripts;

import com.fs.starfarer.api.BaseModPlugin;
import com.fs.starfarer.api.Global;
import org.histidine.foundation.scripts.world.FoundationSectorGen;

public class FoundationModPlugin extends BaseModPlugin {
	
	@Override
    public void onGameLoad(boolean newGame) {
        
        //if (!Global.getSector().getEventManager().isOngoing(null, "foundation_faction_salary")) {
        //    Global.getSector().getEventManager().startEvent(null, "foundation_faction_salary", null);
        //}
        if (!Global.getSector().getEventManager().isOngoing(null, "foundation_insurance")) {
            Global.getSector().getEventManager().startEvent(null, "foundation_insurance", null);
        }
    }
	
	@Override
    public void onNewGame()
    {
		new FoundationSectorGen().generate(Global.getSector());
	}
	
	@Override
	public void onNewGameAfterEconomyLoad() {
		FoundationDonationHandler.createFoundationRepresentatives();
	}
}
